|  | Home | Documentation | uddi2__bindingTemplate Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__bindingTemplate Class Reference

Schema urn:uddi-org:api_v2:"bindingTemplate". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__bindingTemplate:
[legend]

## Public Attributes

std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
uddi2__tModelInstanceDetails * | tModelInstanceDetails
| Element reference "urn:uddi-org:api_v2":tModelInstanceDetails.
uddi2__accessPoint * | accessPoint
| Element reference "urn:uddi-org:api_v2":accessPoint.
uddi2__hostingRedirector * | hostingRedirector
| Element reference "urn:uddi-org:api_v2":hostingRedirector.
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.
uddi2__bindingKey | bindingKey
| Attribute bindingKey of type "urn:uddi-org:api_v2":bindingKey.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"bindingTemplate".

## Member Data Documentation

## ◆ accessPoint

uddi2__accessPoint* uddi2__bindingTemplate::accessPoint

Element reference "urn:uddi-org:api_v2":accessPoint.

Required element

## ◆ bindingKey

uddi2__bindingKey uddi2__bindingTemplate::bindingKey

Attribute bindingKey of type "urn:uddi-org:api_v2":bindingKey.

Required attribute

## ◆ description

std::vector<uddi2__description* > uddi2__bindingTemplate::description

Vector of uddi2__description* with length 0..unbounded.

## ◆ hostingRedirector

uddi2__hostingRedirector* uddi2__bindingTemplate::hostingRedirector

Element reference "urn:uddi-org:api_v2":hostingRedirector.

Required element

## ◆ serviceKey

uddi2__serviceKey uddi2__bindingTemplate::serviceKey

Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.

Optional attribute

## ◆ soap

struct soap* uddi2__bindingTemplate::soap

A handle to the soap struct context that manages this class instance.

## ◆ tModelInstanceDetails

uddi2__tModelInstanceDetails* uddi2__bindingTemplate::tModelInstanceDetails

Element reference "urn:uddi-org:api_v2":tModelInstanceDetails.

Required element

The documentation for this class was generated from the following file:

- uddi_v2.h